"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WusergrpService = void 0;
const common_1 = require("@nestjs/common");
const constants_1 = require("./../../common/constants");
let WusergrpService = class WusergrpService {
    constructor(wusergrp) {
        this.wusergrp = wusergrp;
    }
    create(createWusergrpDto) {
        return 'This action adds a new wusergrp';
    }
    findAll() {
        return `This action returns all wusergrp`;
    }
    findOne(id) {
        return __awaiter(this, void 0, void 0, function* () {
            const wurgp = yield this.wusergrp.findOne({
                where: { wug_code: id },
            });
            if (wurgp) {
                return wurgp;
            }
            else {
                return { message: 'Invalid Wusergrp ID' };
            }
        });
    }
    update(id, updateWusergrpDto) {
        return `This action updates a #${id} wusergrp`;
    }
    remove(id) {
        return `This action removes a #${id} wusergrp`;
    }
};
WusergrpService = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, common_1.Inject)(constants_1.WUSERGRP)),
    __metadata("design:paramtypes", [Object])
], WusergrpService);
exports.WusergrpService = WusergrpService;
