import { Role } from "../../auth/roles/entities/role.entity";
import { BaseService } from "../../common";
import { Dashboard } from "./entities/dashboard.entity";
import { WusergrpService } from "../../auth/wusergrp/wusergrp.service";
export declare class DashboardService extends BaseService<Dashboard> {
    private readonly model;
    private readonly dashboard;
    private readonly role;
    private readonly userGroupService;
    constructor(model: Dashboard, dashboard: typeof Dashboard, role: typeof Role, userGroupService: WusergrpService);
    findAll(code: any): Promise<unknown>;
    findAllDashBoard(code: any): Promise<unknown>;
    exec(id: any): Promise<unknown>;
    popquery(id: any): Promise<unknown>;
    queryExecute(query: any): Promise<unknown>;
}
