import { FindOptionsInterface } from "../options/find-options.interface";
import { Transaction } from "sequelize/types";
export declare class BaseService<T> {
    repository: T;
    entity: any;
    r: any;
    constructor(r: T);
    findAll(options?: FindOptionsInterface): Promise<any>;
    findOne(id: number): Promise<any>;
    create(record: any, { transaction }: {
        transaction?: Transaction;
    }): Promise<any>;
    update(user: any, record: any, body: any): Promise<any>;
    remove(id: number): Promise<any>;
}
