"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MomentUtilities = void 0;
const moment_timezone_1 = __importDefault(require("moment-timezone"));
class MomentUtilities {
    getDate(date, format) {
        const today = moment_timezone_1.default.utc(date).format(format);
        const start_day = moment_timezone_1.default.utc(date).format(format);
        const end_day = moment_timezone_1.default.utc(date).format(format);
        return { today, start_day, end_day };
    }
    timeArithmatic(date, data) {
        const sum = (0, moment_timezone_1.default)(date).add(data.value, data.type);
        const differance = (0, moment_timezone_1.default)(date).diff(data.value, data.type);
        const subtract = (0, moment_timezone_1.default)(date).subtract(data.value, data.type);
        return { sum, differance, subtract };
    }
}
exports.MomentUtilities = MomentUtilities;
