"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoreScriptsController = void 0;
const common_1 = require("@nestjs/common");
const common_2 = require("../../common");
const core_scripts_service_1 = require("./core-scripts.service");
const update_core_script_dto_1 = require("./dto/update-core-script.dto");
let CoreScriptsController = class CoreScriptsController extends common_2.BaseController {
    constructor(coreScriptsService, s) {
        super(s);
        this.coreScriptsService = coreScriptsService;
        this.s = s;
    }
    dashboardQuiry(id, query) {
        return this.coreScriptsService.dashboardQuery(query, id);
    }
};
__decorate([
    (0, common_1.Post)("dashboardQuery/:id"),
    __param(0, (0, common_1.Param)("id")),
    __param(1, (0, common_1.Body)(common_1.ValidationPipe)),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_core_script_dto_1.queryDto]),
    __metadata("design:returntype", Object)
], CoreScriptsController.prototype, "dashboardQuiry", null);
CoreScriptsController = __decorate([
    (0, common_1.Controller)("core-scripts"),
    __metadata("design:paramtypes", [core_scripts_service_1.CoreScriptsService,
        core_scripts_service_1.CoreScriptsService])
], CoreScriptsController);
exports.CoreScriptsController = CoreScriptsController;
