import { BaseService, MomentUtilities } from "../../common";
import { queryDto } from "./dto/update-core-script.dto";
import { CoreScript } from "./entities/core-script.entity";
export declare class CoreScriptsService extends BaseService<CoreScript> {
    private readonly model;
    private readonly coreScripts;
    private moment_service;
    constructor(model: CoreScript, coreScripts: typeof CoreScript, moment_service: MomentUtilities);
    dashboardQuery(query: queryDto, id: string): Promise<unknown>;
}
